Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class DOMMutationNameEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.events.DOMMutationEvent
              org.apache.batik.dom.events.DOMMutationNameEvent

All Implemented Interfaces:
  Cloneable, OriginalEvent, Event, MutationEvent, MutationNameEvent

    public class DOMMutationNameEvent

extends DOMMutationEvent
implements MutationNameEvent

Class to implement DOM 3 MutationName events.

Field Summary
`protected String` | `prevNamespaceURI` The node's previous namespace URI.
`protected String` | `prevNodeName` The node's previous name.

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`bubbleLimit, cancelable, currentTarget, defaultActions, eventPhase, isBubbling, namespaceURI, originalEvent, preventDefault, stopImmediatePropagation, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.MutationEvent
`ADDITION, MODIFICATION, REMOVAL`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DOMMutationNameEvent()`

Method Summary
`String` | `getPrevNamespaceURI()` Gets the node's previous namespace URI.
`String` | `getPrevNodeName()` Gets the node's previous node name.
`void` | `initMutationNameEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, Node relatedNodeArg, String prevNamespaceURIArg, String prevNodeNameArg)` Initializes this MutationNameEvent.
`void` | `initMutationNameEventNS(String namespaceURI, String typeArg, boolean canBubbleArg, boolean cancelableArg, Node relatedNodeArg, String prevNamespaceURIArg, String prevNodeNameArg)` Initializes this MutationNameEvent.

Methods inherited from class org.apache.batik.dom.events.DOMMutationEvent
`getAttrChange, getAttrName, getNewValue, getPrevValue, getRelatedNode, initMutationEvent, initMutationEventNS`

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`addDefaultAction, clone, cloneEvent, getBubbleLimit, getBubbles, getCancelable, getCurrentTarget, getDefaultActions, getDefaultPrevented, getEventPhase, getNamespaceURI, getOriginalEvent, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, setBubbleLimit, stopImmediatePropagation, stopPropagation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.MutationEvent
`getAttrChange, getAttrName, getNewValue, getPrevValue, getRelatedNode, initMutationEvent, initMutationEventNS`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Field Detail

### prevNamespaceURI

    protected String prevNamespaceURI

  The node's previous namespace URI.

### prevNodeName

    protected String prevNodeName

  The node's previous name.

Constructor Detail

### DOMMutationNameEvent

    public DOMMutationNameEvent()

Method Detail

### initMutationNameEvent

    public void initMutationNameEvent(String typeArg,
                                      boolean canBubbleArg,
                                      boolean cancelableArg,
                                      Node relatedNodeArg,
                                      String prevNamespaceURIArg,
                                      String prevNodeNameArg)

  Initializes this MutationNameEvent.

  Specified by:
    `initMutationNameEvent` in interface `MutationNameEvent`
  Parameters:
    `typeArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `cancelableArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `relatedNodeArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `prevNamespaceURIArg` - Specifies `MutationNameEvent.prevNamespaceURI`. This value may be `null`.
    `prevNodeNameArg` - Specifies `MutationNameEvent.prevNodeName`.

### initMutationNameEventNS

    public void initMutationNameEventNS(String namespaceURI,
                                        String typeArg,
                                        boolean canBubbleArg,
                                        boolean cancelableArg,
                                        Node relatedNodeArg,
                                        String prevNamespaceURIArg,
                                        String prevNodeNameArg)

  Initializes this MutationNameEvent.

  Specified by:
    `initMutationNameEventNS` in interface `MutationNameEvent`
  Parameters:
    `namespaceURI` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `typeArg` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `cancelableArg` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `relatedNodeArg` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `prevNamespaceURIArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `prevNodeNameArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.

### getPrevNamespaceURI

    public String getPrevNamespaceURI()

  Gets the node's previous namespace URI.

  Specified by:
    `getPrevNamespaceURI` in interface `MutationNameEvent`

### getPrevNodeName

    public String getPrevNodeName()

  Gets the node's previous node name.

  Specified by:
    `getPrevNodeName` in interface `MutationNameEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.